/*
 * Class EV_MODEL_POSTSCRIPT_PROJECTOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1310 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1310 [] = {0xFF01,1551,1309,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1310 [] = {0xFF01,1309,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1310 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1310 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1310 [] = {0xFF01,1309,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1310 [] = {0xFF01,1309,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1310 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1310 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1310 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1310 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1310 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1310 [] = {0xFF01,1309,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1310 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1310 [] = {0xFF01,995,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1310 [] = {0xFF01,888,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1310 [] = {0xFF01,128,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1310 [] = {0xFF01,1559,1548,0xFF01,0,0xFF01,0xFFF9,1,840,0xFF01,886,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1310 [] = {0xFF01,128,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1310 [] = {0xFF01,74,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1310 [] = {0xFF01,839,0xFFFF};


static const struct desc_info desc_1310[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1310), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1310), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1310), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1310), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1310), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1310), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1310), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1310), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1310), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1310), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1310), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1310), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A3B /*1309*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1310), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6856, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6857, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6858, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6859, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6860, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6884, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6888, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6875, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6876, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6877, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6880, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 6920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8595, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1310), 8596, 0},
	{EIF_GENERIC(NULL), 28631, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28685, 24},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28686, 20},
	{EIF_GENERIC(NULL), 28690, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1310), 28689, 4},
	{EIF_GENERIC(egt_15_1310), 8596, 0},
	{EIF_GENERIC(egt_16_1310), 28671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28657, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28658, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28659, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28661, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28662, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 28664, 16},
	{EIF_GENERIC(NULL), 28687, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28665, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28666, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28667, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28668, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1310), 28669, 8},
	{EIF_GENERIC(NULL), 28670, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1310), 28671, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1310), 28672, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28637, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28638, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28639, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28641, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28642, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28643, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28644, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28646, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28647, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28648, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28652, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28653, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28654, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28649, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8514, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8515, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8516, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8517, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8518, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8519, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8522, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8523, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8525, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8526, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8527, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8528, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8529, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8530, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8531, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8532, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8533, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8534, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8535, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8536, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8537, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8538, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8539, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8540, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8542, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8543, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8544, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8545, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8546, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8547, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8513, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28683, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 28684, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1310), 28688, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28686, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 28685, 24},
};
void Init1310(void)
{
	IDSC(desc_1310, 0, 1309);
	IDSC(desc_1310 + 1, 1, 1309);
	IDSC(desc_1310 + 32, 902, 1309);
	IDSC(desc_1310 + 37, 371, 1309);
	IDSC(desc_1310 + 51, 181, 1309);
	IDSC(desc_1310 + 68, 1136, 1309);
	IDSC(desc_1310 + 71, 1243, 1309);
	IDSC(desc_1310 + 87, 240, 1309);
	IDSC(desc_1310 + 98, 1008, 1309);
	IDSC(desc_1310 + 116, 82, 1309);
	IDSC(desc_1310 + 151, 347, 1309);
}


#ifdef __cplusplus
}
#endif
